#3256 closed defect (fixed)

Ada run-time needs support for self-contained POSIX synchronization objects

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool/gcc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Object types are hard coded in gcc/ada/s-osinte-rtems.ads.

Attachments (2)

0001-RTEMS-Ada-Fix-some-POSIX-types.patch (1.5 KB) - added by Sebastian Huber on Dec 1, 2017 at 11:04:53 AM.
v2-0001-RTEMS-Ada-Fix-some-POSIX-types.patch (8.8 KB) - added by Sebastian Huber on Dec 4, 2017 at 8:41:47 AM.

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Dec 1, 2017 at 1:09:37 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In d60799b/rtems-source-builder:

5: Ada: Fix some POSIX types

Close #3256.

comment:2 Changed on Dec 4, 2017 at 2:18:33 PM by Sebastian Huber <sebastian.huber@…>

In 7034d65/rtems-source-builder:

5: Ada: Fix more POSIX types

Update #3256.

comment:3 Changed on Dec 5, 2017 at 6:18:26 AM by Sebastian Huber <sebastian.huber@…>

In fd5471b/rtems:

ada: Check C and POSIX types

Update #3256.

Note: See TracTickets for help on using tickets.